Package com.xebialabs.xlrelease.events

# Class FolderVariableDeleteOperation

java.lang.Object
com.xebialabs.xlrelease.events.FolderVariableDeleteOperation

All Implemented Interfaces:
  `VariableDeleteOperation`, `XLReleaseOperation`, `Serializable`, `scala.Equals`, `scala.Product`

public class FolderVariableDeleteOperation extends Object implements VariableDeleteOperation, scala.Product, Serializable

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FolderVariableDeleteOperation(Variable variable, String taskId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `scala.runtime.Null$`
  `action()`
  `static FolderVariableDeleteOperation`
  `apply(Variable variable, String taskId)`
  `boolean`
  `canEqual(Object x$1)`
  `FolderVariableDeleteOperation`
  `copy(Variable variable, String taskId)`
  `Variable`
  `copy$default$1()`
  `String`
  `copy$default$2()`
  `boolean`
  `equals(Object x$1)`
  `FolderVariableDeletedEvent`
  `event()`
  `int`
  `hashCode()`
  `int`
  `productArity()`
  `Object`
  `productElement(int x$1)`
  `String`
  `productElementName(int x$1)`
  `scala.collection.Iterator<Object>`
  `productIterator()`
  `String`
  `productPrefix()`
  `String`
  `taskId()`
  `String`
  `toString()`
  `static scala.Option<scala.Tuple2<Variable,String>>`
  `unapply(FolderVariableDeleteOperation x$0)`
  `Variable`
  `variable()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface scala.Product

  `productElementNames`

- ## Constructor Details

  - ### FolderVariableDeleteOperation

    public FolderVariableDeleteOperation(Variable variable, String taskId)

- ## Method Details

  - ### apply

    public static FolderVariableDeleteOperation apply(Variable variable, String taskId)

  - ### unapply

    public static scala.Option<scala.Tuple2<Variable,String>> unapply(FolderVariableDeleteOperation x$0)

  - ### variable

    public Variable variable()

  - ### taskId

    public String taskId()

  - ### action

    public scala.runtime.Null$ action()
    Specified by:
      `action` in interface `XLReleaseOperation`

  - ### event

    public FolderVariableDeletedEvent event()
    Specified by:
      `event` in interface `XLReleaseOperation`

  - ### copy

    public FolderVariableDeleteOperation copy(Variable variable, String taskId)

  - ### copy$default$1

    public Variable copy$default$1()

  - ### copy$default$2

    public String copy$default$2()

  - ### productPrefix

    public String productPrefix()
    Specified by:
      `productPrefix` in interface `scala.Product`

  - ### productArity

    public int productArity()
    Specified by:
      `productArity` in interface `scala.Product`

  - ### productElement

    public Object productElement(int x$1)
    Specified by:
      `productElement` in interface `scala.Product`

  - ### productIterator

    public scala.collection.Iterator<Object> productIterator()
    Specified by:
      `productIterator` in interface `scala.Product`

  - ### canEqual

    public boolean canEqual(Object x$1)
    Specified by:
      `canEqual` in interface `scala.Equals`

  - ### productElementName

    public String productElementName(int x$1)
    Specified by:
      `productElementName` in interface `scala.Product`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object x$1)
    Specified by:
      `equals` in interface `scala.Equals`
    Overrides:
      `equals` in class `Object`